<div class="component-correct-width">
  <div fxLayout="row" fxLayoutAlign="space-between center">
    <div fxLayout="column" fxLayoutAlign="start start">
      <div fxLayout="row">
        <div class="bheader">Welcome Chef!</div>
      </div>
      <div fxLayout="row">
        <div class="sheader">Start preparing your menu...</div>
      </div>
    </div>
    <div fxLayout="column">
      <app-chef-nav-bar>
      </app-chef-nav-bar>
    </div>
  </div>
  <div class="create-food">
    <form novalidate (ngSubmit)="post_foods()" [formGroup]="formFood" autocomplete="off">
      <md-card class="chef-card">
        <md-card-content>
          <div fxLayout='column'>
            <div class='inputForms' fxLayout='row'>
              <div fxLayout='column' fxFlex="80%">
                <md-input-container>
                  <input type="text" mdInput placeholder="Name" name="foodName" formControlName="foodName" (blur)="onBlurFoodName()" required/>
                  <md-error *ngIf="formFood.get('foodName').touched && formFood.get('foodName').hasError('required')">
                    Food name required!
                  </md-error>
                </md-input-container>
              </div>
              <div fxLayout='column' fxFlex="20%"></div>
            </div>
            <div fxLayout='row'>

              <div class='inputForms' fxLayout='column' fxFlex="25%">
                <md-select placeholder="Select" foodType name="foodType" formControlName="foodType" required>
                  <md-option *ngFor="let food of foodsTypeListA" [value]="food.value">
                    {{food.viewValue}}
                  </md-option>
                </md-select>
              </div>

              <div class='inputForms' fxLayout='column' fxFlex="55%">
                <md-input-container flex>
                  <textarea mdInput placeholder="Meal Description" name="description" formControlName="description" required (keydown)="onKeyPress($event)"
                    rows="5" cols="140"></textarea>
                  <md-error *ngIf="formFood.get('description').touched && formFood.get('description').hasError('required')">
                    Food description required!
                  </md-error>
                </md-input-container>
                <div class="smaller-font flex-container" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
                  <div fxFlex="40">
                    <div fxLayout="row">
                      {{charsRem}} characters remaining.
                    </div>
                  </div>
                </div>
              </div>

              <div class='inputForms' fxLayout='column' fxFlex="20%" fxLayoutAlign="space-around none">

                <md-input-container>
                  <input type="text" mdInput placeholder="Price" name="price" formControlName="price" (blur)="onBlurPrice()" required />
                  <md-error *ngIf="formFood.get('price').touched && formFood.get('price').hasError('required')">
                    Food price required!
                  </md-error>
                </md-input-container>
                <div fxLayout="row" fxLayoutAlign="center center">
                  <div fxFlex="25">
                  </div>

                  <button  fxFlex="50" [disabled]="formFood.invalid || createNewFood"
                    md-raised-button color="accent">
                  Create food
                </button>

                  <div fxFlex="25" fxLayoutAlign="center center">
                    <md-spinner *ngIf="createNewFood"></md-spinner>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </md-card-content>
      </md-card>
    </form>
  </div>
  <md-spinner class="big-spinner" *ngIf="loading"></md-spinner>
  <div class="flex-container chef-home-heading" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div fxLayout="column" fxFlex="40">
      <div fxLayout="row" fxLayoutAlign="space-around center">
        <md-select placeholder="Show" name="pagesize" [(ngModel)]="pagesize" (ngModelChange)="onChangeSelectPageSize($event)">
          <md-option *ngFor="let items of itemsPerPage" [value]="items.value">
            {{items.viewValue}}
          </md-option>
        </md-select>
        <md-select placeholder="Food Type" name="type" [(ngModel)]="type" (ngModelChange)="onChangeSelectType($event)">
          <md-option *ngFor="let foodTypes of foodsTypeList" [value]="foodTypes.value">
            {{foodTypes.viewValue}}
          </md-option>
        </md-select>
        <md-select placeholder="Order By" name="ordering" [(ngModel)]="ordering" (ngModelChange)="onChangeSelectOrdering($event)">
          <md-option *ngFor="let mode of orderingMode" [value]="mode.value">
            {{mode.viewValue}}
          </md-option>
        </md-select>
        <div fxFlex="20%" fxLayout='row'>
          <md-checkbox [(ngModel)]="archived" (ngModelChange)="onChangeSelectArchived($event)">View archived items</md-checkbox>
        </div>
      </div>
    </div>
    <div fxLayout="column" fxFlex="60">
      <div fxLayout="row" fxLayoutAlign="center center">
        <app-pagination *ngIf="paginationIsReady" [pageSize]="currentSearchState.currPagesize" [currentPage]="currentSearchState.currPage"
          [totalItems]="numOfUsers" (changePageEvent)="changePageHandler($event)">
        </app-pagination>
      </div>
    </div>
  </div>
  <div *ngIf="!loading">
    <div *ngIf="isEmptyList">
      <md-card class="empty-card">
        <h2>Empty list of foods!</h2>
        <h2>Please insert a food.</h2>
      </md-card>
    </div>
    <md-card *ngFor="let aFood of foodsList" class="card">
      <app-chef-home-food (needRefresh)="catchNeedRefresh($event)" [parentFoodA]="aFood.food"></app-chef-home-food>
    </md-card>
  </div>
  <div class="flex-container chef-home-heading" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div fxLayout="column" fxFlex="40">
    </div>
    <div fxLayout="column" fxFlex="60">
      <div fxLayout="row" fxLayoutAlign="center center">
        <app-pagination *ngIf="paginationIsReady" [pageSize]="currentSearchState.currPagesize" [currentPage]="currentSearchState.currPage"
          [totalItems]="numOfUsers" (changePageEvent)="changePageHandler($event)">
        </app-pagination>
      </div>
    </div>
  </div>
</div>
